Categories


PHP

Products: IntelliJ IDEA

Vendor: JetBrains

Bugtracker page

Forum page

PHP 5.3-7 editing and debugging, PHPUnit, Smarty, Twig and various frameworks support
Downloads: 739636
Rating:
Participated in rating: 18
Version Compatible builds Date
162.426.10 162.426 + 25.05.2016 Download
145.970.40 145.970 + 11.05.2016 Download
145.258.2 145.258 + 18.03.2016 Download
144.4199.11 144.4199 + 17.02.2016 Download
144.3891.12 144.3891 + 10.02.2016 Download
144.3656 144.3600 + 05.02.2016 Download
144.3168 144.3142 + 20.01.2016 Download
143.1770 142.5068 + 11.01.2016 Download
142.4491 142.2888 + 02.09.2015 Download
141.2462 141.1708 — 142.1 18.08.2015 Download
142.2716 142.2600 + 25.06.2015 Download
141.1534 141.1 — 142.1 12.06.2015 Download
141.332 141.1 + 27.03.2015 Download
140.2765 140.2285 + 01.03.2015 Download
139.732 139.658 — 139.9999 12.12.2014 Download
139.659 138.1404 + 04.12.2014 Download
138.1161 136.1029 + 16.07.2014 Download
138.826 136 + 27.06.2014 Download
134.1456 134.1300 + 06.03.2014 Download
133.982 133.620 — 134 25.02.2014 Download
131.374 132.719 — 133 22.10.2013 Download
130.1639 130.1365 + 17.08.2013 Download
129.814 129.1 + 28.06.2013 Download
127.100 126.330 + 13.03.2013 Download
123.66 122.850 + 05.12.2012 Download
121.390 118.430 + 04.11.2012 Download
117.746 112 — 117.* 15.07.2012 Download
111.344 111 — 112 01.03.2012 Download
31 updates are hidden show all updates
Screenshot #11484

Comments:

1234>
kstenschke
Rated:
2016-02-05 13:15:01
Opening php files fails (editor is not opened) using php plugin version 144.3168 (with IntelliJ IDEA 15.0.3 / Mac OS 10.10.4 / Java Runtime Environment 1.6). After downgrading to previous plugin release (143.1770), editing php files works again.
.
hugh_
2015-12-10 12:34:26
why couldn't use in Android sutdio,Can you support
.
ivang
Rated:
2015-04-19 10:33:39
I can't understand why people complains about a product they are using for FREE (EAP) for any kind of issue it can have. That is exactly a EAP build is for, test everything is working right before sell it to some professional interested to use this product PAYING.
.
qiushile
Rated:
2015-03-20 11:58:50
没有中文版,哼!
.
Anonymous
2015-02-17 15:09:02
PHP support is not guaranteed in future releases
.
Anonymous
2015-02-16 14:05:50
It's been 6 days since new IntelliJ EAP was released and PHP plugin still doesn't work :/
.
Blizzy
2015-02-16 09:18:21
It's the same every new EAP release. I've notified them several times and they really don't seem to care. The people responsible for the PHP part are different from the people doing the editor. I guess the only thing they need to guarantee on a release is that you can write Java with it, PHP is apparently not as important.
.
dwr
Rated:
2015-02-13 22:07:29
Plugin doesn't work with the latest IntelliJ IDEA 14 EAP :(
.
lsloan
Rated:
2015-02-12 20:01:16
This plugin page (and all others) should make it very obvious which versions of IntelliJ IDEA it works with. I just wasted my time trying to get it to work with the latest version of the "Community Edition", finally checking the "details" link to see that CE isn't supported.
.
lsloan
2015-02-12 19:44:50
Which version of IntelliJ IDEA does this work with? I have version 14.0.3. When I tried to install this plugin, I received this error message: - - - - Plugin PHP depends on unknown plugin com.intellij.css - - - - After that, it acted as though installation was successful. It prompted me whether to restart IntelliJ, so I did. After startup, I received this similar error message: - - - - Plugin Error Problems found loading plugins: Plugin "PHP" was not loaded: required plugin "com.intellij.css" not installed. - - - - Along with links to disable PHP or to open the plugin manager.
.
Anonymous
2015-02-12 12:49:18
.
Anonymous
2015-02-11 16:46:52
The plugin is not supported on WebStorm
.
Anonymous
2015-02-11 14:12:41
The plugin is not supported on IntelliJ IDEA 14 EAP IU-140.2285.5
.
kai00
Rated:
2015-02-11 05:23:10
I got the message Plugin "PHP" was not loaded: required plugin "com.intellij.css" not installed. How can I solve this error?
.
omervk
Rated:
2014-09-17 18:17:29
The plugin is not supported on IntelliJ IDEA 14 EAP IU-138.2210.3.
.
1234>